
{% from 'macros/form.html' import show_field_login, show_submit %}

<!DOCTYPE html>
<html lang="es">
	<head>
		<title>{{title}}</title>
		<meta charset="utf-8">
	<!--Colocar el viewport -->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	 {% block head %}
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
  {% endblock %}
  	</head>
	<body>

  {% block menu %}
  <!-- Barra de navegacion -->
  <nav class="navbar fixed-top navbar-expand-md navbar-dark bg-dark">
    <a class="navbar-brand" href="#">Projects</a>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" href="{{url_for('main.index')}}">Home <span class="sr-only">(actual)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{{url_for('professor.index')}}">Professor</a>
        </li>
				{% if current_user.is_authenticated %}
				<li class="nav-item">
          <a class="nav-link" href="{{url_for('project.index')}}">Projects</a>
        </li>
				{% endif %}
				<li class="nav-item" style="margin-left:450px;color:white">
				{% if current_user.is_authenticated %}
					<span style="margin-right:10px">Hola {{current_user.email}}</span><a href="{{ url_for('main.logout') }}" class="btn btn-secondary">Logout</a>
				{% else %}
					<form method="POST" action="{{ url_for('main.login') }}" >
						<input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
						<div class="form-row">
							<div class="form-group col-md-5">
									{{ show_field_login(loginForm.email, class='form-control' )}}
							</div>
							<div class="form-group col-md-5">
									{{ show_field_login(loginForm.password , class='form-control')}}
							</div>
							<div class="form-group col-md-2" >
								{{ show_submit(loginForm.submit , class='btn btn-success')}}
							</div>
						</div>
					</form>
				{% endif %}
				</li>

        </ul>
      </div>
  </nav>
  {% endblock %}
  <br/><br/><br/>
		<div class="container-fluid">
 <div class="container">
	<div class="row">
		<div class="col-md-12">
		 {% with messages = get_flashed_messages(with_categories=true) %}
			 {% if messages %}
				 {% for category, message in messages %}
					 <div class="alert alert-{{category}} alert-dismissible fade show" role="alert">
						 {{ message }}
						 <button type="button" class="close" data-dismiss="alert" aria-label="Close">
							 <span aria-hidden="true">&times;</span>
						 </button>
					 </div>
				 {% endfor %}
				{% endif %}
		 {% endwith %}
	 </div>
 </div>
</div>


  {% block content %}
  {% endblock %}
  </div>

	 {% block scripts %}
	<!-- Incluir CDN Jquery-->
	<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<!-- Incluir CDN Popper-->
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
	<!-- Incluir CDN Js de Bootstrap-->
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
   {% endblock %}
	</body>
</html>
